rdservice
8
Mat 2019
Linux Audio Manual

# rdservice

Rivendell service manager
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdservice
          OPTIONS

## Description

`rdservice` 8 manages the various background service components of the Rivendell Radio Automation System, including `caed` 8, `rdcatchd` 8, `ripcd` 8, `rdpadd` 8, `rdpadengined` 8, `rdvairplayd` 8, `rdimport` 1 (in dropbox mode) as well as periodic system maintenance tasks using `rdmaint` 8. It is normally invoked by the host's boot system (such as `systemd` 1) at system boot-time and runs continuously thereafter. There should only be one instance of `rdservice` 8 running at any given time; attempts to start an additional instance will terminate with exit code `1`.

## Options

`--end-startup-after-caed`
`--end-startup-after-ripcd`
`--end-startup-after-rdcatchd`
`--end-startup-after-rdpadd`
`--end-startup-after-rdpadengined`
`--end-startup-after-rdvairplayd`
`--end-startup-after-rdrepld`

  Skip the remainder of the startup sequence after the specified component is started. (Useless except for debugging).

## Exit Values

0Normal exit 1Prior instance already running 2Unable to open database 3Unable to start a service component 4Unknown/invalid command line option

## See Also

rddbmgr 8 `,` rdimport 1 `,` systemd 1 `,` systemctl 1